package com.fs.crm.service;

import java.util.List;
import com.fs.crm.domain.CrmCustomerLogs;
import com.fs.crm.param.CrmCustomerLogsListQueryParam;
import com.fs.crm.vo.CrmCustomerLogsListQueryVO;

/**
 * 客户日志Service接口
 * 
 * @author fs
 * @date 2022-12-21
 */
public interface ICrmCustomerLogsService 
{
    /**
     * 查询客户日志
     * 
     * @param logsId 客户日志ID
     * @return 客户日志
     */
    public CrmCustomerLogs selectCrmCustomerLogsById(Long logsId);

    /**
     * 查询客户日志列表
     * 
     * @param crmCustomerLogs 客户日志
     * @return 客户日志集合
     */
    public List<CrmCustomerLogs> selectCrmCustomerLogsList(CrmCustomerLogs crmCustomerLogs);

    /**
     * 新增客户日志
     * 
     * @param crmCustomerLogs 客户日志
     * @return 结果
     */
    public int insertCrmCustomerLogs(CrmCustomerLogs crmCustomerLogs);

    /**
     * 修改客户日志
     * 
     * @param crmCustomerLogs 客户日志
     * @return 结果
     */
    public int updateCrmCustomerLogs(CrmCustomerLogs crmCustomerLogs);

    /**
     * 批量删除客户日志
     * 
     * @param logsIds 需要删除的客户日志ID
     * @return 结果
     */
    public int deleteCrmCustomerLogsByIds(Long[] logsIds);

    /**
     * 删除客户日志信息
     * 
     * @param logsId 客户日志ID
     * @return 结果
     */
    public int deleteCrmCustomerLogsById(Long logsId);

    List<CrmCustomerLogsListQueryVO> selectCrmCustomerLogsListQuery(CrmCustomerLogsListQueryParam param);
}
